View Issue Details

IDProjectCategoryView StatusLast Update
0005756Simple:Pressdisplay - htmlpublic2017-07-11 01:58
ReporterYellow SwordfishAssigned ToYellow Swordfish 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.7.3 
Target Version5.8Fixed in Version5.8 
Summary0005756: Rewrite Login and Search Forms
DescriptionThey both need to be a little more flexible for styling purposes.
The difficulty will be ensuring they continue to function in existing themes - but it can be done!
TagsNo tags attached.
change_log_textRewrite Login and Search Forms
typeenhancement

Activities

svn

svn

2017-02-16 14:08

administrator   ~0019229

Changeset [15206] by andy on 2017-02-16 09:08:46 -0500 (Thu, 16 Feb 2017)

See issue 0005756
Login form first

 Changed Files:

U trunk/forum/content/forms/sp-form-login.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15206
svn

svn

2017-02-19 22:48

administrator   ~0019245

Changeset [15221] by andy on 2017-02-19 17:48:02 -0500 (Sun, 19 Feb 2017)

test issue 0005756
Revamped - more as far as styling capability goes

 Changed Files:

U trunk/forum/content/forms/sp-form-search.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/resources/jscript/sp-forum-events-dev.js
U trunk/forum/resources/jscript/sp-forum-events.js

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15221
Mr Papa

Mr Papa

2017-03-19 20:41

administrator   ~0019329

this is now throwing notices:

Mar 18, 2017 4:24 pm | spaErrNotice | 1 | phpfile: /simple-press/forum/content/forms/sp-form-login.php
line: 44
function: sp_render_inline_login_form
Notice | Undefined variable: labelClass

Mar 18, 2017 4:24 pm | spaErrNotice | 1 | phpfile: /simple-press/forum/content/forms/sp-form-login.php
line: 42
function: sp_render_inline_login_form
Notice | Undefined variable: labelClass

Mar 18, 2017 4:24 pm | spaErrNotice | 1 | phpfile: /simple-press/forum/content/forms/sp-form-login.php
line: 40
function: sp_render_inline_login_form
Notice | Undefined variable: labelClass
svn

svn

2017-03-23 10:34

administrator   ~0019346

Changeset [15297] by andy on 2017-03-23 06:34:24 -0400 (Thu, 23 Mar 2017)

test issue 0005756
Correct login form missing variable

 Changed Files:

U trunk/forum/content/forms/sp-form-login.php
U trunk/forum/content/sp-common-view-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15297
svn

svn

2017-03-23 10:35

administrator   ~0019347

Changeset [15298] by andy on 2017-03-23 06:35:16 -0400 (Thu, 23 Mar 2017)

test issue 0005756
Correct login form missing variable

 Changed Files:

U templates/phoenix/templates/data/login-form-data.php
U templates/phoenix/templates/spHead.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15298

Issue History

Date Modified Username Field Change
2017-02-16 11:40 Yellow Swordfish New Issue
2017-02-16 11:40 Yellow Swordfish Assigned To => Yellow Swordfish
2017-02-16 14:07 Yellow Swordfish Status new => assigned
2017-02-16 14:07 Yellow Swordfish change_log_text => Rewrite Login and Search Forms
2017-02-16 14:08 svn =>
2017-02-16 14:08 svn Note Added: 0019229
2017-02-19 22:48 svn =>
2017-02-19 22:48 svn Note Added: 0019245
2017-02-19 22:48 svn Status assigned => testing
2017-03-19 20:41 Mr Papa Status testing => rework
2017-03-19 20:41 Mr Papa Note Added: 0019329
2017-03-20 00:38 Mr Papa Product Version 5.7.4 => 5.7.3
2017-03-23 10:34 svn =>
2017-03-23 10:34 svn Note Added: 0019346
2017-03-23 10:34 svn Status rework => testing
2017-03-23 10:35 svn =>
2017-03-23 10:35 svn Note Added: 0019347
2017-03-25 16:29 Mr Papa Status testing => closed
2017-03-25 16:29 Mr Papa Resolution open => fixed
2017-03-25 16:29 Mr Papa Fixed in Version => 6.0
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8